Bug 1676991 (CVE-2019-5785) - CVE-2019-5785 mozilla: Integer overflow in Skia
Summary: CVE-2019-5785 mozilla: Integer overflow in Skia
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-5785
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20190212,repo...
Depends On: 1676994 1676995 1678068 1678069 1678071 1678072
Blocks: 1677002
TreeView+ depends on / blocked
 
Reported: 2019-02-13 18:05 UTC by Laura Pardo
Modified: 2019-06-10 10:47 UTC (History)
16 users (show)

Fixed In Version: firefox ESR 60.5.1, firefox 65.0.1, thunderbird 60.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:47:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0373 None None None 2019-02-19 17:41:29 UTC
Red Hat Product Errata RHSA-2019:0374 None None None 2019-02-19 17:41:44 UTC

Description Laura Pardo 2019-02-13 18:05:35 UTC
An integer overflow vulnerability in the Skia library can occur after specific transform operations, leading to a potentially exploitable crash.


Upstream Bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=1525433

External References:
https://www.mozilla.org/en-US/security/advisories/mfsa2019-04/#CVE-2019-5785
https://www.mozilla.org/en-US/security/advisories/mfsa2019-05/#CVE-2019-5785
https://www.mozilla.org/en-US/security/advisories/mfsa2019-06/#CVE-2019-5785

Comment 1 Laura Pardo 2019-02-13 18:06:49 UTC
Created firefox tracking bugs for this issue:

Affects: fedora-all [bug 1676994]


Created thunderbird tracking bugs for this issue:

Affects: fedora-all [bug 1676995]

Comment 6 errata-xmlrpc 2019-02-19 17:41:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0373 https://access.redhat.com/errata/RHSA-2019:0373

Comment 7 errata-xmlrpc 2019-02-19 17:41:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0374 https://access.redhat.com/errata/RHSA-2019:0374


Note You need to log in before you can comment on or make changes to this bug.